- name: Add entries to all nodes hosts file
  lineinfile:
    dest: /etc/hosts
    line: "{{ hostvars[item].ansible_host }} {{ hostvars[item].inventory_hostname }}"
    state: present
  with_items: "{{ groups.all }}"
  notify:
    - Start spark cluster 
